Page MenuHomePhabricator

Strange indent for <pre> sections in LQT converted topics, only in Board view
Closed, ResolvedPublic

Description

When I view topics that have <pre> or spaced-indent text, in the Board-page, there are some formatting oddities - a very large (hundreds of pixels) indent.

E.g. at http://flow-tests.wmflabs.org/wiki/Testwiki:Support_desk
go to the topic "A lot of system pages don't have "nofollow, noindex" tags" and look at the 2 posts by User:88.130.125.116 and User:Fokebox

Ditto for the post by User:85.233.12.114, in the topic open_basedir to folder i did not found...

However, it looks fine/expected when seen in the Topic-pages themselves:

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterDon't re-apply parent indent in partials

Event Timeline

Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 10:58 PM
EBernhardson triaged this task as Unbreak Now! priority.Mar 17 2015, 5:48 PM
EBernhardson added a subscriber: EBernhardson.

We want to convert mw.org next week, this needs to be looked into before then.

Change 198708 had a related patch set uploaded (by Matthias Mullie):
Don't re-apply parent indent in partials

https://gerrit.wikimedia.org/r/198708

It's no major problem. It only happens when the post is displayed with JS, due to a problem with how Handlebars re-applies indents in partials.

A simple patch can fix it, but even if that doesn't get in in time, this shouldn't block mw.org deployment.

Change 198708 merged by jenkins-bot:
Don't re-apply parent indent in partials

https://gerrit.wikimedia.org/r/198708

EBernhardson closed this task as Resolved.Mar 23 2015, 5:37 PM